/* tde34d.f -- translated by f2c (version 20000817).
   You must link the resulting object file with the libraries:
        -lf2c -lm   (in that order)
*/

#include "f2c.h"

int main(void)
{
    /* Builtin functions */
    double sqrt(double), sin(double), cos(double);

    /* Local variables */
    extern int de34d_c(U_fp, int *, int *, double *, double *, double *,
                       double *, double *, double *, double *, double *,
                       double *, double *, double *, double *, double *,
                       double *, int *);
    static double hmin;
    static int ierr;
    extern int f_c();
    static double h__;
    static int i__, m;
    static double p, x, y[2], delty[2], y1, y2, df[10] /* was [2][5] */,
                       rf[2], dy[2], xn, yn[2];
    static int iorder;
    static double rfn[2], eps, dyn[2];

#define df_ref(a_1,a_2) df[(a_2)*2 + a_1 - 3]

    h__ = .01f;
    iorder = 5;
    p = 100.f;
    eps = 1e-4;
    hmin = 1e-10f;
    m = 2;
    xn = 2.3561944901923448;
    yn[0] = sqrt(2.) / 2.;
    yn[1] = -yn[0];
    dyn[0] = yn[1];
    dyn[1] = -yn[0];
    de34d_c((U_fp)f_c, &m, &iorder, &xn, yn, dyn, &hmin, &eps, &p, &h__, &x,
            y, dy, df, rfn, rf, delty, &ierr);
    y1 = sin(x);
    y2 = cos(x);

    printf("\n %24.14e \n", x);
    printf("\n %24.14e %24.14e \n", y[0], y[1]);
    printf("\n  %24.14e %24.14e \n", dy[0], dy[1]);
    printf("\n   %24.14e %24.14e \n", y1, y2);
    for (i__ = 1; i__ <= 2; ++i__) {
         printf("\n %24.14e %24.14e %24.14e ",
                df_ref(i__, 1), df_ref(i__, 2), df_ref(i__, 3));
         printf("\n %24.14e %24.14e \n",
                df_ref(i__, 4), df_ref(i__, 5));
    }
    return 0;
} /* main */

#undef df_ref

int f_c(double *x, double *y, double *dy, int *m)
{
    /* Parameter adjustments */
    --dy;
    --y;

    /* Function Body */
    dy[1] = -y[1];
    dy[2] = -y[2];
    return 0;
} /* f_c */
